Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79348 - Nautilus interprets 2 clicks on differents files as double click
Summary: Nautilus interprets 2 clicks on differents files as double click
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nautilus
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: GnomeUpstream
TreeView+ depends on / blocked
 
Reported: 2002-12-10 17:05 UTC by Need Real Name
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-27 11:48:30 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-10 17:05:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021204
Phoenix/0.4

Description of problem:
In any of the Nautilus views, if you click on a file then quickly on another, it
will interpret this as a double click on the 2nd file and try to open it. It's
pretty annoying when you're trying to CTRL-click multiple files to select them
as if you ctrl-click a file too soon, it will believe you double-clicked it and
open ALL the files you've selectionned.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open any directory with more than one file
2. Click first file
3. Click quickly on another file
	

Actual Results:  The second file opened in Nautilus

Expected Results:  The second file should have been selected as a single-click
should do.
The first file should have lost its selected status

Additional info:

Comment 1 Havoc Pennington 2002-12-16 18:21:59 UTC
Changing to MoveUpstream keyword instead of GnomeUpstream tracking bug.
sorry about the spam.

Comment 2 Alexander Larsson 2003-01-17 12:15:15 UTC
Also related to bug 76714


Comment 3 Alexander Larsson 2003-03-18 12:11:27 UTC
fixed in upstream cvs

Comment 4 Alexander Larsson 2003-05-27 11:48:30 UTC
Should be in 2.2.4.


Note You need to log in before you can comment on or make changes to this bug.